From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Allow to redefine system predicate flatten/2
Forwarded: not-needed
--- a/checker/loadvc5.pro
+++ b/checker/loadvc5.pro
@@ -1862,6 +1862,8 @@
     store_vc(MS, L, 1, F1).
 
 /*** FLATTEN(OLD, NEW) -- flatten out (& translate) formula ***/
+:- redefine_system_predicate(flatten(_, _)).
+
 flatten((A and B) and C,F) :-
     flatten(A and (B and C),F), !.
 flatten((A or B) or C,F) :-
